VSWF expansions in terms of SSWF
================================

From
\cite necada_multiple-scattering_2021, eq. (2.19)
\f[
	\wfkcout_{\tau lm}\left(\kappa (\vect r - \vect r_1) \right) =
		\sum_{\tau'l'm'} \tropSr{\kappa(\vect r_2 - \vect r_1)}_{\tau l m;\tau'l'm} \wfkcreg_{\tau'l'm'}(\vect r -\vect r_2),
	\qquad |\vect r -\vect r_2| < |\vect r_1 - \vect r_2|,
\f]
setting \f$ \vect r = \vect r_2\f$ and considering that 
 \f$ \wfkcreg_{\tau'l'm'}(\vect 0) \ne \vect 0 \f$ only for electric dipole waves (\f$ \tau = \mathrm{E}, l=1 \f$),
 we have
\f[
	\wfkcout_{\tau lm}\left(\kappa (\vect r - \vect r_1) \right) =
		\sum_{m'} \tropSr{\kappa(\vect r - \vect r_1)}_{\tau l m;\mathrm{E}1m} \wfkcreg_{\mathrm{E}1m'}(\vect 0),
	\qquad \vect r \ne \vect r_1 .
\f]
Combining this with
\cite necada_multiple-scattering_2021, eq. (2.25)
\f[
	\tropSr{\vect d}_{\tau l m; \tau' l' m'} = \sum_{\lambda =|l-l'|+|\tau-\tau'|}^{l+l'} 
		C^{\lambda}_{\tau l m;\tau' l'm'} \underbrace{ \spharm{\lambda}{m-m'}(\uvec d) h_\lambda^{(1)}(d)}_{\sswfout_\lambda^{m-m'}(\vect d)},
\f]
we get 
\f[
	\wfkcout_{\tau lm}(\vect d) = \sum_{m'=-1}^1 \wfkcreg_{\mathrm{E}1m'}(\vect 0) 
		\sum_{\lambda=l-1+|\tau-\tau'|}^{l+1} 
		C^\lambda_{\tau l m;\mathrm{E}1m'} \sswfout_\lambda^{m-m'}(\vect d).
\f]
Note that the VSWF components in this expression are given in global "cartesian" basis, 
*not* the local orthonormal basis derived from spherical coordinates.
(This is mostly desirable, because in lattices we need to work with flat coordinates anyway.)
